# restartapache.pl.  run from shell script restartapache.
# graceful restart of apache.

# Assumes first three fields of appropriate ps command are:
#    UID PID PPID

$APHOME=$ENV{'APHOME'};

#$BSD = -f '/vmunix';
#$pscmd = $BSD ? "ps -auxw" : "ps -ef";
$pscmd = "ps -ef";

$pidfile="$APHOME/rgw/apache/logs/httpd.pid";
$ntries = 5;

if (-f $pidfile) {
   open(PIDFILE,$pidfile) || die "Can't open $pidfile: $!\n";
   $pidsched = <PIDFILE>;
   chop $pidsched;
   close(PIDFILE) || die "Can't close $pidfile: $!\n";
} else {
   print "Can't restart apache -- file $pidfile not found.\n";
   exit 1;
}

open(PS,"$pscmd|") || die "$pscmd failed: $!\n";
$title = <PS>;
@pstab = <PS>;
$schedidx = -1;
foreach $i (0 .. $#pstab) {
   ($uname, $pid, $ppid) = split(' ',$pstab[$i]);
   if ($pid == $pidsched) {
      $schedidx = $i; last;
   }
}
if ($schedidx < 0) {
   print "Apache is not running (pid=$pidsched not found).\n";
   exit 1;
}

select(STDOUT);$|=1;
print "Gracefully restarting apache...";
kill('SIGUSR1',$pidsched) || die "Can't kill SIGUSR1 $pidsched $!\n";

sleep 1;
print ".";
sleep 1;
print ".";
sleep 1;
print "done.\n";
sleep 1;
$cmd="$APHOME/rgw/bin/showapache";
system($cmd);
exit 0;
