* Include item for User Server Basic routines
*
*  Use when calling WW.GET.PROPERTY or WW.SET.PROPERTY
*
*********************************************************************************************************************
*  Equ Property                                To WW.Property                            Access  Property Description
*********************************************************************************************************************
   EQU PROP.X.ALLOWROWDELETE                   TO "AllowRowDelete"                     ; * CRW # Flag to say whether rows may be deleted
   EQU PROP.X.ALLOWROWINSERT                   TO "AllowRowInsert"                     ; * CRW # Flag to say whether rows may be inserted
   EQU PROP.X.CAPTION                          TO "Caption"                            ; * CR  # Heading text
   EQU PROP.X.SHOWROWNUMBERS                   TO "ShowRowNumbers"                     ; * CR  # Flag whether to show row number column
   EQU PROP.X.UNIQUEKEYS                       TO "UniqueKeys"                         ; * CRW # Flag to force controlling field values to be unique
   EQU PROP.ACNT.ID                            TO "acnt_id"                            ; * R   # Name of Current Unidata or uniVerse Account.
   EQU PROP.ADO.ACCESS                         TO "ado_access"                         ; * CRW # Class created from ADO?
   EQU PROP.ALERT.MSG                          TO "alert_msg"                          ; * RW  # An attribute-mark delimited list of current alert and error messages.While it is possible to enter new alert messages by updating this property, it is not recomended. Use {fb::server-api=RBO.setMessage} API function instead.
   EQU PROP.ALIGN                              TO "align"                              ; * CRW # Alignment
   EQU PROP.ALT                                TO "alt"                                ; * CR  # Alternate string to display if no applet
   EQU PROP.APP.DESC                           TO "app_desc"                           ; * R   # The description of the current RedBack Module.This is the text entered as a description when the module was first created.
   EQU PROP.APP.OBJECTS.CREATED                TO "app_objects_created"                ; * R   # MV List of Visual Application Objects Created in this event.
   EQU PROP.APPID                              TO "appid"                              ; * R   # The current RedBack Module identifier.
   EQU PROP.AUTH.TYPE                          TO "auth_type"                          ; * R   # Client Auth type.
   EQU PROP.AUTO.SIZE                          TO "auto_size"                          ; * CR  # Auto Table size True or False
   EQU PROP.AUTO.TABLE                         TO "auto_table"                         ; * CR  # Flag to say whether objects not contained in a htmltableclass should be automatically placed in an invisible table
   EQU PROP.AUTOSTART                          TO "autostart"                          ; * CR  # Auto start of multi-media action
   EQU PROP.BACK.BUTTON                        TO "back_button"                        ; * CR  # Position of 'Back To' button, top, bottom or none
   EQU PROP.BACKGROUND                         TO "background"                         ; * CR  # Background tile
   EQU PROP.BGCOLOR                            TO "bgcolor"                            ; * CR  # Color to be used for mv table background
   EQU PROP.BLINK                              TO "blink"                              ; * CRW # True if text is displayed blinking
   EQU PROP.BOLD                               TO "bold"                               ; * CRW # True if text is displayed Bold
   EQU PROP.BORDER.WIDTH                       TO "border_width"                       ; * CR  # Border width
   EQU PROP.BORDERCOLOR                        TO "bordercolor"                        ; * CR  # Border color
   EQU PROP.CELL.ATTRIBS                       TO "cell_attribs"                       ; * CR  # Individual cell attributes
   EQU PROP.CELLPADDING                        TO "cellpadding"                        ; * CR  # Horizontal pixel spacing
   EQU PROP.CELLSPACING                        TO "cellspacing"                        ; * CR  # Vertical pixel spacing
   EQU PROP.CHECKED                            TO "checked"                            ; * CRW # True or False flag
   EQU PROP.CLASS                              TO "class"                              ; * CRW # Name of Class to explore or administer
   EQU PROP.OBJECTNAME                         TO "classname"                          ; * RW  # Class Name of instantiated Application Object
   EQU PROP.CODE                               TO "code"                               ; * CR
   EQU PROP.CODEBASE                           TO "codebase"                           ; * CR  # Code base URL
   EQU PROP.COL.WIDTHS                         TO "col_widths"                         ; * CR  # List of widths for each column (in pixels)
   EQU PROP.CONNECT.STRING                     TO "connect_string"                     ; * CR  # Database connect string (ODBC recordsets)
   EQU PROP.COORDINATES                        TO "coordinates"                        ; * CR  # coordinates - Developer use only
   EQU PROP.CURR.VALS                          TO "curr_vals"                          ; * R   # Snapshot of current database state on write request
   EQU PROP.CURRENT.CLASSNAME                  TO "current_classname"                  ; * R   # Name of current Class being processed.
   EQU PROP.CURRENT.HOBJ                       TO "current_hobj"                       ; * R   # Handle of Current Object.
   EQU PROP.DATABASE.TYPE                      TO "database_type"                      ; * CR  # Database type code
   EQU PROP.DEFAULT.FRAME.TARGET               TO "default_frame_target"               ; * RW  # When an object is in a frame, this is the default fame target name to send onClick and onAnchor events to 
   EQU PROP.DEFAULT.TARGET                     TO "default_target"                     ; * CR  # Name of Frame to be used as the target default
   EQU PROP.DELETE.BUTTON                      TO "delete_button"                      ; * CR  # True if Delete Button is displayed
   EQU PROP.DESCRIPTION                        TO "description"                        ; * CR  # Description of Method
   EQU PROP.DICT.TABLE                         TO "dict_table"                         ; * CR  # dict table (if diff. to tablename) for NF2
   EQU PROP.DIMENSIONS                         TO "dimensions"                         ; * CR  # dimensions - Developer use only
   EQU PROP.DISP.FIELDS                        TO "disp_fields"                        ; * CRW # Fields to display
   EQU PROP.DISP.FORMAT                        TO "disp_format"                        ; * CR  # Style of output display list, url or table
   EQU PROP.DOCUMENT.ROOT                      TO "document_root"                      ; * R   # WEB Servers document root directory.
   EQU PROP.EDITABLE                           TO "editable"                           ; * CR  # True/False flag if input field
   EQU PROP.ERROR.VALS                         TO "error_vals"                         ; * RW  # Optimistic Lock test result per field. Used w.r.t. orig_vals, curr_vals and new_vals
   EQU PROP.EVENT.HANDLER                      TO "event_handler"                      ; * R   # Name of Event Handler in Application object to invoke.
   EQU PROP.EVENT.ID                           TO "event_id"                           ; * R   # Optional Unique Event Id
   EQU PROP.FIELD.DETAILS                      TO "field_details"                      ; * R   # Details on defined in recordset
   EQU PROP.FIELD.FORMAT                       TO "field_format"                       ; * CR  # Field format code for database
   EQU PROP.FIELD.NAME                         TO "field_name"                         ; * CR  # Name of Field in Recordset that this object is bound to
   EQU PROP.FIELD.NAMES                        TO "field_names"                        ; * R   # AM List of field names, used to provide values to the client. These are controlling names with dependant values in ORIG_VALS, CURR_VALS, NEW_VALS and ERROR_VALS
   EQU PROP.FIELD.TYPE                         TO "field_type"                         ; * CR  # Type of object
   EQU PROP.FINAL                              TO "final"                              ; * CRW # Final Class - cannot be inherited fromIf this is set to true then it is not possible to subclass this class. This property will be set to false for supplied system RBO objects themselves, but may be set for a subclass to terminate an inheritance hierarchy. This value may only be set via the RedBack Designer tool.
   EQU PROP.FIRST.WORD                         TO "first_word"                         ; * CR  # True/False flag whether first word only in display to be returned. Default is FALSE
   EQU PROP.FOCUSFLD                           TO "focusfld"                           ; * RW  # Field to give focus to upon form display
   EQU PROP.FONT.FACE                          TO "font_face"                          ; * CR  # Font family
   EQU PROP.FONT.SIZE                          TO "font_size"                          ; * CR  # Font size
   EQU PROP.FOOTER.ID                          TO "footer_id"                          ; * CR  # Id of user defined HTML code (stored in AppidHTML) to be inserted after the form
   EQU PROP.FORCE.DISPLAY                      TO "force_display"                      ; * CR  # True/False flag whether display is to be shown if only one item selected. Default is FALSE
   EQU PROP.FOREGROUND                         TO "foreground"                         ; * CRW # Colour of text
   EQU PROP.FRAME                              TO "frame"                              ; * CR  # Display as another frame, top, bottom, left, right or none
   EQU PROP.FRAME.PERCENT                      TO "frame_percent"                      ; * CR  # 0 to use dimensions or number for percentage
   EQU PROP.FRAME.PERSISTS                     TO "frame_persists"                     ; * CR  # True/False Flag that if True, frame persists after selection and is removed by Back or Home buttons ONLY
   EQU PROP.FRAME.SIZE                         TO "frame_size"                         ; * CR  # Size of this area to use in pixels but can be a percentage or '*' for all remaining. Defaults to 33%
   EQU PROP.FRAMEBORDER                        TO "frameborder"                        ; * CR  # Displays a 3-D border
   EQU PROP.FRAMESPACING                       TO "framespacing"                       ; * CR  # Creates additional space between frames in pixels
   EQU PROP.GROUP                              TO "group"                              ; * R   # Security Group this Class belongs to.
   EQU PROP.HEADER.ID                          TO "header_id"                          ; * CR  # Id of user defined HTML code (stored in AppidHTML) to be inserted before form
   EQU PROP.HIDDEN                             TO "hidden"                             ; * CR  # True/False flag to hide field. If hidden, other display properties are ignored.
   EQU PROP.HIDE.RTNVAL                        TO "hide_rtnval"                        ; * CR  # True/False flag whether to hide the display of the return value. Default is FALSE
   EQU PROP.HOME.BUTTON                        TO "home_button"                        ; * CR  # Position of 'Home' button, top, bottom or none
   EQU PROP.HSPACE                             TO "hspace"                             ; * CR  # Horizontal spacing
   EQU PROP.HTML.APPID                         TO "html_appid"                         ; * RW  # Application Id of Parent Class.
   EQU PROP.HTML.FORMID                        TO "html_formid"                        ; * RW  # Class name of Parent Class.
   EQU PROP.HTML.NAMES                         TO "html_names"                         ; * RW  # AM list of Child Object Names.
   EQU PROP.HTML.VALS                          TO "html_vals"                          ; * RW  # AM list of Child Object Values.
   EQU PROP.HTMLPAGE                           TO "htmlpage"                           ; * RW  # Document Response to Client.
   EQU PROP.HTTP.USER.AGENT                    TO "http_user_agent"                    ; * R   # Browser Agent Type string.
   EQU PROP.IMAGE.ID                           TO "image_id"                           ; * CR  # Image to display (instead of value)
   EQU PROP.INITIAL.OBJECT                     TO "initial_object"                     ; * CR  # Name of the object to appear in the frame
   EQU PROP.INSERT.BUTTON                      TO "insert_button"                      ; * CR  # True if Insert button is displayed
   EQU PROP.IS.VISIBLE                         TO "is_visible"                         ; * RW  # Is this Object visible
   EQU PROP.ITALICS                            TO "italics"                            ; * CRW # True if text is displayed in italics
   EQU PROP.ITEM.SET                           TO "item_set"                           ; * CRW # List of values to display in drop down list
   EQU PROP.ITEMS.PER.PAGE                     TO "items_per_page"                     ; * CR  # Items per page to display. Defaults to 20
   EQU PROP.JAVA.CAPABLE                       TO "java_capable"                       ; * R   # Set by HID_JAVA from a Java Capable Browser.
   EQU PROP.KEY                                TO "key"                                ; * R   # Resultant Key used for database read or write
   EQU PROP.KEY.FIELDVALUES                    TO "key_fieldvalues"                    ; * R   # Key field value(s)
   EQU PROP.LAST.MODIFIED                      TO "last_modified"                      ; * CR  # Last modified date and timeThis is the date that the definition was last modified. This value is updated by the RedBack Designer tool.
   EQU PROP.LOCK.STATUS                        TO "lock_status"                        ; * RW  # Optimistic write status 0=Ok-write, 1=Item changed but same change current,2=Item changed since initial read but user has not changed different fields,3=database has changed and new values are also different
   EQU PROP.LOGICAL.TABLE                      TO "logical_table"                      ; * CR  # Name of a 'logical table' definition
   EQU PROP.LONG.DESCRIPTION                   TO "long_description"                   ; * CR  # Long Method Description
   EQU PROP.LOOP                               TO "loop"                               ; * CR  # loop
   EQU PROP.MARGINHEIGHT                       TO "marginheight"                       ; * CR  # Sets the margin height for the frame in pixels
   EQU PROP.MARGINWIDTH                        TO "marginwidth"                        ; * CR  # Sets the margin width for the frame in pixels
   EQU PROP.MAXLENGTH                          TO "maxlength"                          ; * CR  # Maximum allowable input length
   EQU PROP.METHOD                             TO "method"                             ; * R   # The name of the method currently being run.This can be used in user code when server methods are amalgamated into a single item to ensure execution of the appropriate logic segment.
   EQU PROP.MODE                               TO "mode"                               ; * CR  # BUTTON or RESET
   EQU PROP.MULTI.DELIM                        TO "multi_delim"                        ; * CR  # Delimiter to use when returning more than one value (ie multi_select = TRUE) For am,vm delimiters use '@AM' or '@VM'
   EQU PROP.MULTIPLE                           TO "multiple"                           ; * CRW # True if multiple select available
   EQU PROP.MV.PAGE                            TO "mv_page"                            ; * RW  # Current Page number for each mv set
   EQU PROP.MV.ROW                             TO "mv_row"                             ; * RW  # Multivalue row count
   EQU PROP.NAME                               TO "name"                               ; * R   # Name of Method
   EQU PROP.NAV.HIST                           TO "nav_hist"                           ; * RW  # MV RedBack form Navigation History.
   EQU PROP.NEW.VALS                           TO "new_vals"                           ; * RW  # Submited form data. Optimistic write compares it with CURR_VALS and ORIG_VALS
   EQU PROP.NF2.ORIGREC                        TO "nf2_origrec"                        ; * R   # Orignal NF2 record image from read
   EQU PROP.NF2.RECORD                         TO "nf2_record"                         ; * RW  # Get/Set 'current' NF2 record image
   EQU PROP.NO.DISPLAY                         TO "no_display"                         ; * CR  # No User Display. All selected options are returned
   EQU PROP.NOFRAME.OBJECT                     TO "noframe_object"                     ; * CR  # Object to display when not diplaying frames
   EQU PROP.NORESIZE                           TO "noresize"                           ; * CR  # Prevents the user from resizing the frame
   EQU PROP.NUM.COLS                           TO "num_cols"                           ; * CR  # Number of columns in mv set
   EQU PROP.NUM.ROWS                           TO "num_rows"                           ; * CR  # Number of rows in table
   EQU PROP.OBJ.VALUE                          TO "obj_value"                          ; * RW  # Server ICONV or OCONV value of a field
   EQU PROP.OPTION.STYLE                       TO "option_style"                       ; * CR  # Style for wwoptionclass object in menu bullet, number or none
   EQU PROP.ORIG.REC                           TO "orig_rec"                           ; * R   # Raw Database read item image. Compared with RECORD
   EQU PROP.ORIG.VALS                          TO "orig_vals"                          ; * R   # Initial Form Read data before user made any changes on form
   EQU PROP.ORIGINAL.CLASSNAME                 TO "original_classname"                 ; * R   # Original Event launching Class name.
   EQU PROP.ORIGINAL.HOBJ                      TO "original_hobj"                      ; * R   # Handle of Original Object.
   EQU PROP.OTHER                              TO "other"                              ; * CR  # user defined data
   EQU PROP.OTHER.ATTRIB                       TO "other_attrib"                       ; * CR  # Other attributes
   EQU PROP.PAGE.BREAK                         TO "page_break"                         ; * CR  # Throw new page
   EQU PROP.PAGE.ID                            TO "page_id"                            ; * CR  # Id of HTML page (in AppidHTML) where form is to be included in
   EQU PROP.PARAMS                             TO "params"                             ; * CR  # Param and value pairs
   EQU PROP.PASSWORD                           TO "password"                           ; * CR  # Boolean flag to say this is a password field. Character appear as "*"
   EQU PROP.PERSISTENCE.TIMEOUT                TO "persistence_timeout"                ; * RW  # Persistent connection timeout value (in seconds) for the {mb:WW:connection=PersistenceOn} method.
   EQU PROP.PROGRAM                            TO "program"                            ; * CR  # Name of program to perform Method
   EQU PROP.PROPERTIES.IN                      TO "properties_in"                      ; * CR  # Properties this method requires
   EQU PROP.PROPERTIES.OUT                     TO "properties_out"                     ; * CR  # Properties this method modifies
   EQU PROP.PROPERTY.ACCESS                    TO "property_access"                    ; * CR  # VM List of Property Access permissions CRWND
   EQU PROP.PROPERTY.DIFFS                     TO "property_diffs"                     ; * CR  # property differences
   EQU PROP.PROPERTY.TYPE                      TO "property_type"                      ; * CR  # Type of property (for helper)
   EQU PROP.RBO.MODE                           TO "rbo_mode"                           ; * R   # RedBack Business Objects mode.
   EQU PROP.READ.STATUS                        TO "read_status"                        ; * R   # Status of last read
   EQU PROP.RECORD                             TO "record"                             ; * RW  # Raw Database item to be written via KEY
   EQU PROP.RECORDSET                          TO "recordset"                          ; * CRW # Name of recordset object  associated with this stored instance
   EQU PROP.REDBEANS                           TO "redbeans"                           ; * R   # Flag set by RedBeans or RedPages.
   EQU PROP.REMOTE.INST                        TO "remote_inst"                        ; * R   # Hidden form instance data keys.
   EQU PROP.RETURN.FIELD                       TO "return_field"                       ; * CR  # Name of field to return (if not key field)
   EQU PROP.RGWDOMAIN                          TO "rgwdomain"                          ; * R   # WEB server domain.
   EQU PROP.RTN.INFO                           TO "rtn_info"                           ; * RW  # An attribute-mark delimited list of error and/or alert messages.Note: Error messages must start with the text string 'ERROR ', and alert messages with 'ALERT '. Use the API functions {fb::server-api=RBO.setError} or {fb::server-api=RBO.setMessage} to add messages to this property.
   EQU PROP.SCALE.IMAGE                        TO "scale_image"                        ; * CR  # Flag whether to scale image to dimensions
   EQU PROP.SCROLLING                          TO "scrolling"                          ; * CR  # Creates a scrolling frame
   EQU PROP.SECURE.DATA                        TO "secure_data"                        ; * CR  # Browser to Server transactions use secure protocol
   EQU PROP.SELECT.CRITERIA                    TO "select_criteria"                    ; * CRW # Selection Criteria
   EQU PROP.SEND.PAGE                          TO "send_page"                          ; * RW  # Flag indicates response must be sent to client.
   EQU PROP.SERVER.FIELDS                      TO "server_fields"                      ; * CR  # Fields to include in recordset not on form
   EQU PROP.SERVER.SOFTWARE                    TO "server_software"                    ; * R   # WEB servers software version.
   EQU PROP.SESSION.ID                         TO "session_id"                         ; * R   # Session handle for state items.
   EQU PROP.SIZE                               TO "size"                               ; * CR  # Length of object in characters
   EQU PROP.SORT.FIELDS                        TO "sort_fields"                        ; * CRW # Sort Fields
   EQU PROP.SPIDER.OPTIONS                     TO "spider_options"                     ; * R   # Spider debuging options.
   EQU PROP.SUPERCLASS                         TO "superclass"                         ; * CRW # Name of SuperClass to explore or administer
   EQU PROP.SUPPRESS.BREAK                     TO "suppress_break"                     ; * CR  # Suppress break if only one detail line
   EQU PROP.TABLE.NAME                         TO "table_name"                         ; * CR  # table name if not a 'logical table'
   EQU PROP.TITLE                              TO "title"                              ; * CR  # Title of frameset (shown in browser)
   EQU PROP.TOTAL.FIELDS                       TO "total_fields"                       ; * CR  # Total fields
   EQU PROP.TRUE.VALUES                        TO "true_values"                        ; * CRW # Corresponding values to store in field if option selected.
   EQU PROP.UNIQUE.ID                          TO "unique_id"                          ; * R   # Unique component of the WWSTATE key used for preserving instance data.This value is used as a prefix for keys built for storing state information in the Application Server WWSTATE file.
   EQU PROP.USER.DATA                          TO "user_data"                          ; * CRW # User defined data
   EQU PROP.USER.ID                            TO "user_id"                            ; * R   # A multi-value delimitered string that contains the current User Id, checksum and debug codes.
   EQU PROP.VALIDATION                         TO "validation"                         ; * CR  # Validation specification. May be one of: numeric, integer, data, range xx-yy, exp expression, pattern mask
   EQU PROP.VALUE                              TO "value"                              ; * CRW # Value to Set or Retrieve
   EQU PROP.VSPACE                             TO "vspace"                             ; * CR  # Vertical spacing
   EQU PROP.WINDOW.SIZE                        TO "window_size"                        ; * CR  # Number of displayed rows
   EQU PROP.WORK                               TO "work"                               ; * RW  # User scratch variable
   EQU PROP.WRAP                               TO "wrap"                               ; * CR  # Determines whether words are to wrap over lines. Off: No wrapping, virtual:wrapping of words only in display, physical:wrapping of words and includes line feeds per line
   *
   * WEB Server and Applications Server public variables
   *
   EQU PROP.ACNT.INFO                          TO "acnt_info"                          ; * R   # Account info - <1> = account name, <2> = account path
   EQU PROP.BROWSER                            TO "browser"                            ; * R   # Browser type Netscape 3 or 4 or MSIE 3 or 4 etc
   EQU PROP.BROWSER.CAP                        TO "browser_cap"                        ; * R   # Browser Capability flags
   EQU PROP.DBG.FLAGS                          TO "dbg_flags"                          ; * RW  # Server Debug Flags
   EQU PROP.DBG.LOG                            TO "dbg_log"                            ; * RW  # Memory Debug Log item rather than use Disk IO
   EQU PROP.DBG.MODE                           TO "dbg_mode"                           ; * RW  # True if Debug Flags exist
   EQU PROP.DBG.MON                            TO "dbg_mon"                            ; * RW  # True if Logging is done to memory variable for MONITOR=...
   EQU PROP.DBG.MSG                            TO "dbg_msg"                            ; * RW  # Debug Messages to be displayed at the top of next HTML page
   EQU PROP.DBVERSION                          TO "dbversion"                          ; * R   # System variable containing release number of data base in use
   EQU PROP.GLOBAL.APP                         TO "global_app"                         ; * R   # Global repository app id AM path to app. - null means no global rep.
   EQU PROP.HTTP.COOKIE                        TO "http_cookie"                        ; * R   # Server Environment variable reporting Client COOKIE contents
   EQU PROP.HTTP.FROM                          TO "http_from"                          ; * R   # Server Environment variable Referring URL Server Name
   EQU PROP.HTTP.HOST                          TO "http_host"                          ; * R   # Server Environment variable Servers PORT address
   EQU PROP.HTTP.REFERER                       TO "http_referer"                       ; * R   # Server Environment variable URL of referring HTML page
   EQU PROP.PERSISTID                          TO "persistid"                          ; * R   # Not NULL if connection is persistent
   EQU PROP.RBHOME.PATH                        TO "rbhome_path"                        ; * R   # Environment variable containing path of redback root directory
   EQU PROP.RBVERSION                          TO "rbversion"                          ; * R   # System variable containing release number of redback server code
   EQU PROP.REMOTE.ADDR                        TO "remote_addr"                        ; * R   # Server Environment variable IP address of client
   EQU PROP.REMOTE.HOST                        TO "remote_host"                        ; * R   # Server Environment variable Domain name of client
   EQU PROP.REMOTE.USER                        TO "remote_user"                        ; * R   # Server Environment variable Secure HTTP client name
   EQU PROP.REQUEST.METHOD                     TO "request_method"                     ; * R   # POST or GET submit method used (null for non submits)
   EQU PROP.RGWADDR                            TO "rgwaddr"                            ; * R   # HTTP Address of WEB Server
   EQU PROP.RGWHOME.PATH                       TO "rgwhome_path"                       ; * R   # Environment variable containing path of redback gateway directory
   EQU PROP.RGWHOST                            TO "rgwhost"                            ; * R   # Environment variable containing name of redback gateway backend Host
   EQU PROP.SCRIPT.NAME                        TO "script_name"                        ; * R   # Server Environment variable HTML URL reference to CGI script
   EQU PROP.SCRIPT.PATH                        TO "script_path"                        ; * R   # Full local machine path of CGI or FastCGI script
   EQU PROP.SERVER.NAME                        TO "server_name"                        ; * R   # Server Environment variable Servers URL name
   EQU PROP.SERVER.PORT                        TO "server_port"                        ; * R   # Server Environment variable Servers URL port number
   EQU PROP.SERVER.PROTOCOL                    TO "server_protocol"                    ; * R   # Server Environment variable Servers http protocol
   EQU PROP.SERVER.URL                         TO "server_url"                         ; * R   # Server Environment variable Full URL address of server
   EQU PROP.SOAP.METHODNAME                    TO "soap_methodname"                    ; * R
   EQU PROP.STATUS                             TO "status"                             ; * R   # Last Error Status value
   EQU PROP.SUPERCLASSNAME                     TO "superclassname"                     ; * R   # SuperClassname of Objects Class
   EQU PROP.WWSESSION                          TO "wwsession"                          ; * R
   *
   * Redback Class Names
   *
   EQU RBO                                TO "RBO"
   EQU RBOMETHOD                          TO "RBOMethod"
   EQU RBOPROPERTY                        TO "RBOProperty"
   EQU SLRBO                              TO "SLRBO"
   EQU SYSINFO                            TO "SysInfo"
   EQU CONNECTION                         TO "connection"
   EQU EMAILOBJECT                        TO "emailObject"
   EQU OBJECT                             TO "object"
   EQU RBOEXPLORER                        TO "rboexplorer"
   EQU SBOBJECT                           TO "sbObject"
   EQU UOBJECT                            TO "uObject"
   EQU UQUERY                             TO "uQuery"
   EQU WWAPPLETCLASS                      TO "wwappletclass"
   EQU WWAPPSERVERCLASS                   TO "wwappserverclass"
   EQU WWCHECKCLASS                       TO "wwcheckclass"
   EQU WWCOMBOCLASS                       TO "wwcomboclass"
   EQU WWDATACLASS                        TO "wwdataclass"
   EQU WWDEVCLASS                         TO "wwdevclass"
   EQU WWFRAMECLASS                       TO "wwframeclass"
   EQU WWFRAMESETCLASS                    TO "wwframesetclass"
   EQU WWHRCLASS                          TO "wwhrclass"
   EQU WWHTMLCLASS                        TO "wwhtmlclass"
   EQU WWIMAGECLASS                       TO "wwimageclass"
   EQU WWIMGAREACLASS                     TO "wwimgareaclass"
   EQU WWINPUTFORMCLASS                   TO "wwinputformclass"
   EQU WWJAVAFORMCLASS                    TO "wwjavaformclass"
   EQU WWJCHECKCLASS                      TO "wwjcheckclass"
   EQU WWJCOMBOCLASS                      TO "wwjcomboclass"
   EQU WWJDATACLASS                       TO "wwjdataclass"
   EQU WWJIMAGECLASS                      TO "wwjimageclass"
   EQU WWJIMGAREACLASS                    TO "wwjimgareaclass"
   EQU WWJLISTCLASS                       TO "wwjlistclass"
   EQU WWJOPTIONCLASS                     TO "wwjoptionclass"
   EQU WWJPBCLASS                         TO "wwjpbclass"
   EQU WWJRADIOCLASS                      TO "wwjradioclass"
   EQU WWJTEXTAREACLASS                   TO "wwjtextareaclass"
   EQU WWJTEXTCLASS                       TO "wwjtextclass"
   EQU WWLABELCLASS                       TO "wwlabelclass"
   EQU WWLISTCLASS                        TO "wwlistclass"
   EQU WWLOOKUPCLASS                      TO "wwlookupclass"
   EQU WWMENUCLASS                        TO "wwmenuclass"
   EQU WWMMCLASS                          TO "wwmmclass"
   EQU WWMVCLASS                          TO "wwmvclass"
   EQU WWNOTUSEDCLASS                     TO "wwnotusedclass"
   EQU WWOPTIONCLASS                      TO "wwoptionclass"
   EQU WWPBCLASS                          TO "wwpbclass"
   EQU WWPCFILECLASS                      TO "wwpcfileclass"
   EQU WWQUERYCLASS                       TO "wwqueryclass"
   EQU WWRADIOCLASS                       TO "wwradioclass"
   EQU WWRECORDSETCLASS                   TO "wwrecordsetclass"
   EQU WWREFERRERCLASS                    TO "wwreferrerclass"
   EQU WWREPBREAKCLASS                    TO "wwrepbreakclass"
   EQU WWREPORTCLASS                      TO "wwreportclass"
   EQU WWSERVERFIELDCLASS                 TO "wwserverfieldclass"
   EQU WWSTATECLASS                       TO "wwstateclass"
   EQU WWTABLECLASS                       TO "wwtableclass"
   EQU WWTEXTAREACLASS                    TO "wwtextareaclass"
   EQU WWTEXTCLASS                        TO "wwtextclass"
   EQU WWUICLASS                          TO "wwuiclass"
   EQU WWXFORMCLASS                       TO "wwxformclass"
   EQU WWXMVCHILDCLASS                    TO "wwxmvchildclass"
   EQU WWXMVCLASS                         TO "wwxmvclass"
   EQU WWXMVLABELCLASS                    TO "wwxmvlabelclass"
*
*  End of Include Item
