<%@ Page Language="C#"  ASPCompat="true"%>
<HTML>
<HEAD>
<TITLE>uObject Example 3</TITLE>
<link rel=stylesheet href=rb.css TYPE=text/css>
</HEAD>

<script runat="server">

// Note - this code is not intended for commercial use. No warranty implied.
// I.B.M., R.E., 2004

string CustId = "";
string Name = "";

private void Page_Load(object sender, System.EventArgs e)
{
string custHandle;
string sessionID;
REDPAGESLib.RedObject obj = new REDPAGESLib.RedObject();
REDPAGESLib.RedProperty prop;

try
{
   // open CustomerMaint RBO
   obj.Open2("rbexamples", "EXMOD:CustomerMaint", "", "", "");
   
   //preserve the handle and session id
   custHandle = obj.RBOHandle;
   sessionID = obj.sessionid;
   //now do a read using customer 1
   prop = (REDPAGESLib.RedProperty)obj.Property("CustId");
   prop.Value = "1";
   obj.CallMethod("ReadData");

   obj.Close();
  
   //now re-use the object on Employee RBO
    obj.Open2("rbexamples", "EXMOD:Employee", "", "", sessionID);
    
   obj.Close();
   
   // now re-open Customer using stored handle. We will then get the state for the RBO
   obj.Open2("rbexamples", custHandle,"","",sessionID);

  // get data from refreshed object from backend without calling method!
   prop = (REDPAGESLib.RedProperty)obj.Property("CustId");
   CustId = prop.Value;
   prop = (REDPAGESLib.RedProperty)obj.Property("Name");
   Name = prop.Value;

  // confusing? the point is to show that you can save off the handle to a stateful object
  //  and bring back that stateful object's contents with an open command without
  //  having to call a method to read the data again

   } 
   catch (Exception ex) 
   {
	throw ex;
   }

   // the form should now display data for Customer 1
}
</script>

<SCRIPT language="JavaScript">
function displayCode(codePage) {
  var Console=window.open(codePage,'Console','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=no,width=750,height=300');
  Console.focus();
}
</SCRIPT>

<BODY BGCOLOR="#FFFFFF" TEXT="#000080" LINK="#ffffff" VLINK="#ffffff" ALINK="#ffffff" topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0">
<TABLE CELLSPACING=0 CELLPADDING=0 BORDER=0 WIDTH=800 ALIGN=LEFT STYLE="font-family:Arial;font-size:12">
<TR>
<TD ALIGN=TOP COLSPAN=4 ><IMG VALIGN=TOP SRC="images/mainhdr.gif" WIDTH=800 HEIGHT=107></TD>
</TR>
<tr>
<TD bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=150 HEIGHT=50></TD>
<td><img src=images/onepixel.gif width=50 height=0></td>
<td><img src=images/onepixel.gif width=600 height=0></td>
</tr>
<td bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=50 HEIGHT=0>
<img scr=images/onepixel.gif width=10 height=1 border=0><A class=whitelink HREF="aspnetcsharpindex.html">Back</A></TD>
</tr>
<tr>
<TD bgcolor="#6699CC">&nbsp;</TD>
</tr>
<TR>
<TD bgcolor="#6699CC">&nbsp;</TD>
<TD>&nbsp;</TD>
<td align=center>
<table>
  <TR><TD CLASS=mainHeader COLSPAN=3 ALIGN="CENTER">Customer Maintenance</TD></TR>
  <TR>
    <TD class=text1>Customer ID</TD>
    <TD class=text2><%= CustId %></TD>
  </TR>
  <TR>
    <TD class=text1>Name</TD>
    <TD class=text2><%= Name %></TD>
  </TR>
</table>
</td></tr>
<tr>
<TD bgcolor="#6699CC">&nbsp;</TD>
</tr>
<tr>
<TD bgcolor="#6699CC">&nbsp;</TD>
</tr>
<tr>
<TD bgcolor="#6699CC">&nbsp;</TD>
</tr>
<TR>
<TD bgcolor="#6699CC">&nbsp;</TD>
<td>&nbsp;</td>
<td><a href=javascript:displayCode('aspnetcsharpcodeuobjectex3.html')><img border=0 src=images/codeex.gif></a>
</td>
</TR>
</TABLE>
</FORM>
</BODY>
</HTML>