<%@ Page Language="VB"  ASPCompat="true"%>
<script runat="server">
' Note - this code is not intended for commercial use. No warranty implied.
' I.B.M., R.E., 2004

Dim focusObj As String
Dim EmpId As String
Dim FirstName As String
Dim LastName As String
Dim Dept As String
Dim objHandle As String
Dim action As String
Dim Status As String
Dim StatusText As String
Dim i As Integer
' Create two objects to hold multivalue Dept codes and descriptions
Dim oCodes As New REDPAGESLib.RedField()
Dim oDescs As New REDPAGESLib.RedField()
Dim obj as REDPAGESLib.RedObject
Dim oEmp as REDPAGESLib.RedObject
Dim prop as REDPAGESLib.RedProperty
Dim objName As String

Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs)    
   objName = "EmpMaint"
   ' do we need to get department details?
   if Request.Form("Codes") = "" then
     ' use stateless RBO Utils to get department codes and text for dropdown
     obj = New REDPAGESLib.RedObject
     obj.Open2("rbexamples", "EXMOD:Utils")
     obj.callMethod("GetDepts")
     'now populate the redfields
     prop = obj.Property("DeptCodes")
     oCodes.StringValue = prop.Value
     prop = obj.Property("DeptDescs")
     oDescs.StringValue = prop.Value
    obj.Close()
   else
      oCodes.StringValue = Request.Form("Codes")
      oDescs.StringValue = Request.Form("Descs")
   End If

   oEmp = New REDPAGESLib.RedObject
   ' see if we have opened stateful Employee object already
   objHandle = Request.Form(objName)
   if objHandle = "" then   
     oEmp.Open2("rbexamples", "EXMOD:Employee")
   else
     oEmp.Open2("rbexamples", objHandle)
   end if
   
   ' Focus object
   If Request.Form("EmpId") = "" Then
      focusObj = "EmpId"
   Else
      focusObj = ""
   End If

   ' What is the action to take - passed in 'action'
   action = Request.Form("page_action")
    
   Select Case action
      Case "Read"
         ReadData
      Case Else
         ' Just show form  
   End Select	
   oEmp.Close()
End Sub

Sub ReadData()
   EmpId = Request.Form("EmpId")
   ' Set the propery in the object to the new value
   prop = oEmp.Property("EmpId")
   prop.Value = EmpId
   ' Now do the read by calling the ReadData method
    oEmp.CallMethod("ReadData")
   prop = oEmp.Property("Status")
   Status = prop.Value
   prop = oEmp.Property("StatusText")
   StatusText = prop.Value
   prop = oEmp.Property("FirstName")
   FirstName = prop.Value
   prop = oEmp.Property("LastName")
   LastName = prop.Value
   prop = oEmp.Property("Dept")
   Dept = prop.Value
   If Dept = "" Then Dept = "1"
   prop = oEmp.Property("Status")
   prop.Value = 0
   prop = oEmp.Property("StatusText")
   prop.Value = ""
   focusObj = "FirstName"
End Sub   

</script>

<HTML>
<HEAD>
<TITLE>Stateless RBO Example 2</TITLE>
<link rel=stylesheet href=rb.css TYPE=text/css>
</HEAD>

<SCRIPT language="JavaScript">
function SendToWebServer(action)
{
   document.Form1.page_action.value = action;
   document.Form1.submit();
}


function displayCode(codePage) {
  var Console=window.open(codePage,'Console','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=no,width=750,height=300');
  Console.focus();
}
</SCRIPT>

<BODY BGCOLOR="#FFFFFF" TEXT="#000080" LINK="#ffffff" VLINK="#ffffff" ALINK="#ffffff" topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0">
<% If Status = "1" Then 
     Response.Write("<BR>Error: " & StatusText)
   End If
%>   
<TABLE CELLSPACING=0 CELLPADDING=0 BORDER=0 WIDTH=800 ALIGN=LEFT STYLE="font-family:Arial;font-size:12">
<TR>
<TD ALIGN=TOP COLSPAN=3 ><IMG VALIGN=TOP SRC="images/mainhdr.gif" WIDTH=800 HEIGHT=107></TD>
</TR>
<tr>
<TD bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=150 HEIGHT=50></TD>
<td><img src=images/onepixel.gif width=50 height=0></td>
<td><img src=images/onepixel.gif width=600 height=0></td>
</tr>
<tr>
<td bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=50 HEIGHT=0>
<img scr=images/onepixel.gif width=10 height=1 border=0><A class=whitelink HREF="aspnetvbindex.html">Back</A></TD>
</tr>
<tr>
<TD bgcolor="#6699CC">&nbsp;</TD>
</tr>
<TR>
<TD bgcolor="#6699CC">&nbsp;</TD>
<td><img src=images/onepixel.gif width=10></td>
<td align=center>
<FORM NAME="Form1" METHOD=POST>
<INPUT type="hidden" name="page_action" value="">
<table>
  <TR><TD CLASS=mainHeader COLSPAN=3 ALIGN="CENTER">Employee Maintenance</TD></TR>
  <TR>
    <TD>Employee ID</TD>
    <TD>
      <INPUT name="EmpId" size=5 value="<%= EmpId %>" onChange=SendToWebServer("Read")>
    </TD>
  </TR>
  <TR>
    <TD>First Name</TD>
    <TD>
      <INPUT name="FirstName" size=25 value="<%= FirstName %>"></TD>
  </TR>
  <TR>
    <TD>Last Name</TD>
    <TD><INPUT name="LastName" size=25 value="<%= LastName %>"></TD>
  </TR>
  <tr>
    <td>Department</td>
    <td>
       <SELECT name="Dept">
         <%   ' Set dept codes and descriptions
              Dim sel As String
              For i = 1 to oCodes.Count 
                If Dept = oCodes.Value(i).StringValue Then sel = "SELECTED " Else sel = ""
         %>      
       <OPTION <%= sel %> VALUE=<%= oCodes.Value(i).StringValue %> > <%= oDescs.Value(i).StringValue %> 
         <%    Next %>  
       </SELECT>
     </td>
   </tr>
</table>
<INPUT name="Codes" value="<%= oCodes.StringValue %>" type=HIDDEN>
<INPUT name="Descs" value="<%= oDescs.StringValue %>" type=HIDDEN>
<INPUT name="<%= objName %>" value="<%= objHandle %>" type=HIDDEN>
</td></tr>
<tr>
<TD bgcolor="#6699CC">&nbsp;</TD>
</tr>
<tr>
<TD bgcolor="#6699CC">&nbsp;</TD>
</tr>
<tr>
<TD bgcolor="#6699CC">&nbsp;</TD>
</tr>
<TR>
<TD bgcolor="#6699CC">&nbsp;</TD>
<td>&nbsp;</td>
<td><a href=javascript:displayCode('aspnetvbcodeslobjectex2.html')><img border=0 src=images/codeex.gif></a>
</td>
</tr>
</TABLE>

<% If focusObj <> "" Then %>
  <SCRIPT language="JavaScript">
  var hFocusObj = document.Form1.<%=focusObj%>;
  hFocusObj.focus();
  </SCRIPT>
<% End If %>

</FORM>
</BODY>
</HTML>