<%@ Page Language="vb"  ASPCompat="true" EnableViewState="False" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.Oledb" %>

<script language="vb" runat="server">
	Dim dstEmps As DataSet
    	Dim dtblEmps As DataTable
    	Dim dcolColumn As DataColumn
    	Dim drowItem As DataRow
    	Dim i As Integer
    	Public Icnt As Integer
    	Dim PageNo As Integer = 1
    	Dim PageTot As Integer = 1

Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs)
        DoWork()
    End Sub
    Function GetDatabaseName()
        Dim DatabaseName As String
        DatabaseName = "rbexamples"
        Return DatabaseName
    End Function
    Sub RecordsetToDatatable(ByVal rs, ByRef dtblEmps)
        dtblEmps = New DataTable("Emps")
        Dim objRSField
        For Each objRSField In rs.Fields
            dcolColumn = New DataColumn(objRSField.Name, GetType(String))
            dtblEmps.Columns.Add(dcolColumn)
        Next
        'Add rows
        For i = 1 To Icnt
            drowItem = dtblEmps.NewRow()
            For Each objRSField In rs.Fields
                drowItem(objRSField.Name) = rs.Fields(objRSField.Name).Value
            Next
            dtblEmps.Rows.Add(drowItem)
            rs.MoveNext()
        Next
    End Sub
    
    Sub RecordsetToDatatableWithLink(ByVal rs, ByRef dtblEmps, LinkFieldName, LinkPage)
            dtblEmps = New DataTable("Emps")
            Dim objRSField
            For Each objRSField In rs.Fields
                dcolColumn = New DataColumn(objRSField.Name, GetType(String))
                dtblEmps.Columns.Add(dcolColumn)
            Next
            'Add rows
            For i = 1 To Icnt
                drowItem = dtblEmps.NewRow()
                For Each objRSField In rs.Fields
                    If objRSField.Name = LinkFieldName Then
                       drowItem(objRSField.Name) = "<A CLASS=bluelink HREF='" & LinkPage & rs.Fields(objRSField.Name).Value & "'>" & rs.Fields(objRSField.Name).Value & "</a>"
                    Else
                       drowItem(objRSField.Name) = rs.Fields(objRSField.Name).Value
                    End If
                Next
                dtblEmps.Rows.Add(drowItem)
                rs.MoveNext()
            Next
    End Sub
    
    Sub DataGrid1_PageIndexChanged(ByVal s As Object, ByVal e As DataGridPageChangedEventArgs)
        DataGrid1.CurrentPageIndex = e.NewPageIndex
        PageNo = e.NewPageIndex + 1
        DoWork()
    End Sub
    Sub DoWork()
        Mess.Text = ""
            Dim ErrMsg As String
            Dim DatabaseName As String
            Dim Id As String
            Dim ro As REDPAGESLib.RedObject
            'Dim rs As ADOR.Recordset
            Dim rs As Object
            dstEmps = New DataSet
            Dim RBModule As String
            Dim ROName As String
            Dim prop As New REDPAGESLib.RedProperty

                ' do RedBack Database Access using pre-defined RedBack Object
                Try
                    'Make Connection to rbexamples database and Get object definition
                    ' from Module EXMOD, object EmployeeList, passing no User, Password, and N for Stateful
                    DatabaseName = GetDatabaseName()
                    RBModule = "EXMOD"
                    ROName = "EmployeeList"
                    OpenRedbackObject(ro, DatabaseName, RBModule, ROName, "", "", "N")
                    'Could set select statement into Object Property, but in this example we read all records
                    ' ro.Property("select_criteria").value = "SELECT EMPLOYEES WITH DEPT = """ & Id & """ BY LAST.NAME BY FIRST.NAME"
                    
                    'Call Method to Read
                    rs = ro.CallMethod("Select")
                    prop = ro.Property("MaxRows")
                    Icnt = CInt(prop.Value)
                    txtPageNo.Text = CStr(PageNo)
                    If Icnt > 0 Then
                    	PageTot = Int(Icnt / 10)
   			If Icnt Mod 10 then PageTot = PageTot + 1
   			txtPageTot.Text = PageTot
                        'Fill Dataset with Entire Recordset
                        'RecordsetToDatatable(rs, dtblEmps)
                        'Fill Dataset with Entire Recordset with Links
                        RecordsetToDatatableWithLink(rs, dtblEmps,"EMP.ID","uqueryex1_1.aspx?id=")
                        'Add DataTable to DataSet
                        dstEmps.Tables.Add(dtblEmps)
                        DataGrid1.DataSource = dstEmps
                        DataGrid1.DataBind()
                    End If
                    ro.Close()
                    rs.Close()
                Catch ex As Exception
                    'Set Message label with error message
                    Mess.Text = "Exception occurred: " & ex.Message
                End Try
    End Sub
    
    Public Sub OpenRedbackObject(Byref ro, ByVal DatabaseName, ByVal ROModule, ByVal ROName, ByVal Username, ByVal Password, ByVal Stateless)
            ' open object - note we should reuse the sessionid for all stateful objects, and keep the RBHandle
    	    ' in a cookie to be able to use the object in a stateful manner. 
    	    ' Could change routine to use hidden field or session instead of cookie for RBHandle.
    	    ' Note too we are keeping the Redobject in session to avoid repeated calls to RedPages.dll to re-create,
    	    ' good for performance.
                ' Can be used for stateful or stateless objects -- pass "N" in stateless parameter for stateful open or "refresh"
                Dim i As Int16
                Dim RBHandle As String
                Dim RB_SessionId As String
                Dim prevRBHandle As String
                Dim strVariable As String
                Dim IsOpen As Boolean
                Dim objCookie As HttpCookie
                ' DatabaseName = GetDatabaseName()
                RBHandle = ROModule & ":" & ROName
                If Stateless <> "N" Then Stateless = "Y"
                If Stateless = "N" Then
                '   Handle Stateful using sessionid and object handle in cookies
                    For Each strVariable in Context.Request.Cookies()
                       If strVariable = "RB_SessionId" Then
                          RB_SessionId = Context.Request.Cookies(strVariable).Value
                       End If
                       If strVariable = "RB_" & ROName Then
        	          prevRBHandle = Context.Request.Cookies(strVariable).Value
        	          if prevRBHandle <> "" then
        	             RBHandle = prevRBHandle
        	          end if
                       End If
                    Next
                End If
        	
        	    If Not(Context.Session(ROName) is Nothing) Then
        	        ro = Context.Session(ROName)
        		Try
        		    ro.Open2(DatabaseName, RBHandle, Username, Password, RB_SessionId)
        		    IsOpen = True
        		    If Stateless = "N" Then
        			'Handle Stateful
        			objCookie = New HttpCookie("RB_SessionId",ro.SessionId)
        			Context.Response.Cookies.Add(objCookie)
        			objCookie = New HttpCookie("RB_" & ROName,ro.RBOHandle)
        			Context.Response.Cookies.Add(objCookie)
        		    End If
        		Catch ex As Exception
        		    'Set Message label with error message
        		    throw ex
        		End Try
        	    End If
                If Not IsOpen Then
                    Try
                        ro = New REDPAGESLib.RedObject()
                        ro.Open2(DatabaseName, RBHandle, Username, Password, RB_SessionId)
                        IsOpen = True
                        Context.Session(ROName) = ro
                        If Stateless = "N" Then
                            'Handle Stateful
        		     objCookie = New HttpCookie("RB_SessionId",ro.SessionId)
        		     Context.Response.Cookies.Add(objCookie)
        		     objCookie = New HttpCookie("RB_" & ROName,ro.RBOHandle)
                             Context.Response.Cookies.Add(objCookie)
                        End If
                    Catch ex As Exception
                        'Set Message label with error message
                        throw ex
                    End Try
                End If
        
    End Sub
</script>

<HTML>
	<HEAD>
		<title>Report1</title>
		<meta content="Microsoft Visual Studio.NET 7.0" name="GENERATOR">
		<meta content="Visual Basic 7.0" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<link rel=stylesheet href=rb.css TYPE=text/css>
	</HEAD>
	<SCRIPT language="JavaScript">	
	function displayCode(codePage) {
	 var Console=window.open(codePage,'Console','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=no,width=700,height=300');
	 Console.focus();
	}
	</SCRIPT>
	<BODY BGCOLOR="#FFFFFF" TEXT="#000080" LINK="#ffffff" VLINK="#ffffff" ALINK="#ffffff" topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0">
	<TABLE CELLSPACING=0 CELLPADDING=0 BORDER=0 WIDTH=800 ALIGN=LEFT STYLE="font-family:Arial;font-size:12">
	<TR>
	<TD ALIGN=TOP COLSPAN=4 ><IMG VALIGN=TOP SRC="images/mainhdr.gif" WIDTH=800 HEIGHT=107></TD>
	</TR>
	<tr>
	<TD bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=150 HEIGHT=50></TD>
	</tr>
	<td bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=50 HEIGHT=0>
	<img scr=images/onepixel.gif width=10 height=1 border=0><A class=whitelink HREF="aspnetvbindex.html">Back</A></TD>
	</tr>
	
	<TR>
	<TD bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=150 HEIGHT=0></TD>
	<td><img src=images/onepixel.gif width=10></td>
	<td align=center>
	<FORM NAME="Form1" METHOD=POST runat="server">
	<TABLE CELLSPACING=0 BORDER=0 CELLPADDING=4 WIDTH=590 STYLE="font-family:Arial;font-size:12">
	<tr><td colspan=4 align=center class=mainHeader>Employee Lookup</td></tr>
	<TR><TD VALIGN="TOP" COLSPAN=3>&nbsp;</TD>
	<TD ALIGN="RIGHT"><B>Page <asp:Label id="txtPageNo" runat="server"></asp:Label> of <asp:Label id="txtPageTot" runat="server"></asp:Label></B></TD>
	</TR>
	<tr><td colspan=4 align=center><P><FONT color="#ff0066" size="-1"><asp:label id="Mess" runat="server"></asp:label></FONT></P></td></tr>
	<TR>
	<TD colspan="3">
	<P>
	<asp:DataGrid id="DataGrid1" runat="server" EnableViewState="False" AllowPaging="True" PageSize="10"
		OnPageIndexChanged="DataGrid1_PageIndexChanged" BorderStyle="None" BorderWidth="0px"
		 	CellPadding="4" PagerStyle-Mode="NumericPages" PagerStyle-Font-Name="Verdana"
		 	PagerStyle-Font-Size="8" PagerStyle-CssClass="bluelink"
			PagerStyle-Font-Bold="True" PagerStyle-BackColor="SandyBrown" AutoGenerateColumns="False">
			<HeaderStyle BorderWidth="0" Font-Name="Verdana" Font-Bold="True" Font-Size="10" ForeColor="White" BackColor="#000080"></HeaderStyle>
			<ItemStyle Font-Name="Verdana" Font-Size="8" ForeColor="#000080" BackColor="White"></ItemStyle>
			<Columns>
				<asp:BoundColumn HeaderText="Emp ID" DataField="EMP.ID" />
				<asp:BoundColumn HeaderText="First Name" DataField="FIRST.NAME" />
				<asp:BoundColumn HeaderText="Last Name" DataField="LAST.NAME" />
			</Columns>
		</asp:DataGrid></P>
	</td></tr></table>
	</FORM>
	<tr>
	<TD bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=150 HEIGHT=0></TD>
	</tr>
	<tr>
	<TD bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=150 HEIGHT=0></TD>
	</tr>
	<tr>
	<TD bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=150 HEIGHT=0></TD>
	</tr>
	<tr>
	<TD bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=150 HEIGHT=0></TD>
	</tr>
	<tr>
	<TD bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=150 HEIGHT=0></TD>
	</tr>
	<TR>
	<TD bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=150 HEIGHT=0></TD>
	<td>&nbsp;</td>
	<td><a href=javascript:displayCode('aspnetvbcodeuqueryex.html')><img border=0 src=images/codeex.gif></a>
	</td>
	</tr>
	</TABLE>
	
	</BODY>
</HTML>